Bug 693176 - Tracker doesn't index pdf files
Summary: Tracker doesn't index pdf files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-03 11:25 UTC by katastrophal
Modified: 2011-05-03 04:43 UTC (History)
1 user (show)

Fixed In Version: tracker-0.10.10-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-03 04:43:39 UTC


Attachments (Terms of Use)

Description katastrophal 2011-04-03 11:25:21 UTC
Description of problem: Reinstalled Fedora 15 yesterday and noticed that Tracker doesn't index the content of pdf files. May have something to do with poppler-glib updates.


Version-Release number of selected component (if applicable):
tracker-0.10.5-1.fc15
poppler-glib-0.16.4-1.fc15

How reproducible:
Always.

Steps to Reproduce:
1. Let Tracker index until tracker-control says idle (include some pdf files with text).
2. Search some term inside a pdf document with tracker-needle or tracker-search.
  
Actual results:
Doesn't find anything.

Expected results:
Tracker finds the file which contains the query.

Additional info:
using /usr/libexec/tracker-extract -v 3 -f some-pdf-file.pdf says
 Could not find any extractors to handle metadata type (mime: application/pdf)

Comment 1 Fedora Update System 2011-04-27 02:30:33 UTC
tracker-0.10.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tracker-0.10.10-1.fc15

Comment 2 Fedora Update System 2011-04-28 19:04:13 UTC
Package tracker-0.10.10-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tracker-0.10.10-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tracker-0.10.10-1.fc15
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-05-03 04:42:26 UTC
tracker-0.10.10-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.